@import 'src/styles/variables';
@import 'src/styles/variables';

.image-card {
  width: 100%;
  height: 300px;
  background-color: $fourth;

  img {
    max-width: 100%;
    max-height: 100%;
    height: auto;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}


#basic-data {
  padding-bottom: 2rem;

  .input-primary {
    padding: 0;
  }


  .row {
    min-height: 3rem;
    border-bottom: 1px solid $main;

    &.textarea-area {
      height: 5rem;
    }

    &.tags {
      height: auto;
    }
  }

  .center {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    height: 100%;
  }

  input {
    height: 70%;
    padding: 0 .4rem;
  }

  .border {
    border-right: 1px solid $main;
    margin-right: .5rem;
  }

  .text-area {
    height: 90%;
    resize: none;
  }
}

.tag-row {
  display: flex;

  input {
    display: block;
    flex-grow: 1;
    height: 100%;
  }

  .delete-tag {
    padding: 0 1rem;
  }
}

.h-auto {
  height: auto;
}
